Bug 1303349 - Review Request: flyingsaucersattack - Shoot down the attacking UFOs and to save the city
Review Request: flyingsaucersattack - Shoot down the attacking UFOs and to sa...
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Link Dupont
Fedora Extras Quality Assurance
:
Depends On:
Blocks: FE-GAMESIG
  Show dependency treegraph
 
Reported: 2016-01-31 05:03 EST by Hans de Goede
Modified: 2016-12-22 11:49 EST (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-12-22 11:49:04 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
link: fedora‑review+


Attachments (Terms of Use)

  None (edit)
Description Hans de Goede 2016-01-31 05:03:21 EST
Spec URL: https://fedorapeople.org/~jwrdegoede/flyingsaucersattack.spec
SRPM URL: https://fedorapeople.org/~jwrdegoede/flyingsaucersattack-1.20h-1.fc22.src.rpm
Description:
F.S.A.(Flying Saucers Attack) aka
F.U.G.A.(Fliegende Untertassen greifen an)
is a kind of mixture between two old Atari2600 games.
It comes in german and english language.

You'll see a screen with your city that you have to
save against 30 Alien attackwaves in three different
difficulty levels.

You shoot attacking UFOs with two cannons positioned
at the left and right borders of the screen.
The UFOs will first bomb away all your buildings then
send in little green men to dig tunnels to blow your
cannons which results in a gameover.

Fedora Account System Username: jwrdegoede
Comment 1 Link Dupont 2016-02-03 22:54:29 EST
- Has the patch been submitted upstream?
- Maybe %description should be localized into German (if possible) and English. At any rate, I'd suggest fixing the spelling suggestions from rpmlint
- Have you tried a koji scratch build to make sure it builds in both x86_64 and i386?

Rpmlint
-------
Checking: flyingsaucersattack-1.20h-1.fc23.x86_64.rpm
          flyingsaucersattack-debuginfo-1.20h-1.fc23.x86_64.rpm
          flyingsaucersattack-1.20h-1.fc23.src.rpm
flyingsaucersattack.x86_64: W: spelling-error %description -l en_US greifen -> green
flyingsaucersattack.x86_64: W: spelling-error %description -l en_US german -> German, germane, merman
flyingsaucersattack.x86_64: W: spelling-error %description -l en_US english -> English
flyingsaucersattack.x86_64: W: spelling-error %description -l en_US attackwaves -> attack waves, attack-waves, attaches
flyingsaucersattack.x86_64: W: spelling-error %description -l en_US gameover -> game over, game-over, overcame
flyingsaucersattack.x86_64: W: no-manual-page-for-binary flyingsaucersattack
flyingsaucersattack.src: W: spelling-error %description -l en_US greifen -> green
flyingsaucersattack.src: W: spelling-error %description -l en_US german -> German, germane, merman
flyingsaucersattack.src: W: spelling-error %description -l en_US english -> English
flyingsaucersattack.src: W: spelling-error %description -l en_US attackwaves -> attack waves, attack-waves, attaches
flyingsaucersattack.src: W: spelling-error %description -l en_US gameover -> game over, game-over, overcame
3 packages and 0 specfiles checked; 0 errors, 11 warnings.




Rpmlint (debuginfo)
-------------------
Checking: flyingsaucersattack-debuginfo-1.20h-1.fc23.x86_64.rpm
1 packages and 0 specfiles checked; 0 errors, 0 warnings.





Rpmlint (installed packages)
----------------------------
flyingsaucersattack.x86_64: W: no-manual-page-for-binary flyingsaucersattack
2 packages and 0 specfiles checked; 0 errors, 1 warnings.



Requires
--------
flyingsaucersattack-debuginfo (rpmlib, GLIBC filtered):

flyingsaucersattack (rpmlib, GLIBC filtered):
    /bin/sh
    hicolor-icon-theme
    libaldmb-0.9.3.so()(64bit)
    liballeg.so.4.4()(64bit)
    libc.so.6()(64bit)
    libdumb-0.9.3.so()(64bit)
    libgcc_s.so.1()(64bit)
    libm.so.6()(64bit)
    libstdc++.so.6()(64bit)
    rtld(GNU_HASH)



Provides
--------
flyingsaucersattack-debuginfo:
    flyingsaucersattack-debuginfo
    flyingsaucersattack-debuginfo(x86-64)

flyingsaucersattack:
    appdata()
    appdata(flyingsaucersattack.appdata.xml)
    application()
    application(flyingsaucersattack.desktop)
    flyingsaucersattack
    flyingsaucersattack(x86-64)
Comment 2 Upstream Release Monitoring 2016-02-27 10:34:54 EST
jwrdegoede's scratch build of flyingsaucersattack-1.20h-1.fc23.src.rpm for rawhide completed http://koji.fedoraproject.org/koji/taskinfo?taskID=13149977
Comment 3 Hans de Goede 2016-02-27 10:41:39 EST
Hi,

(In reply to Link Dupont from comment #1)
> - Has the patch been submitted upstream?

No, I'm in contact with upstream (I got the author to relicense this game and the assets under a Free license) and the author has indicated that he is not interested in taking any unix porting patches.

> - Maybe %description should be localized into German (if possible) and
> English.

I'm afraid my German is not good enough for that.

> At any rate, I'd suggest fixing the spelling suggestions from
> rpmlint

Done.

> - Have you tried a koji scratch build to make sure it builds in both x86_64
> and i386?

Here is a scratch-build:

http://koji.fedoraproject.org/koji/taskinfo?taskID=13149977

Note this is of the -1 version which still has the spelling errors.

Here is a -2 package with the spelling errors fixed:

Spec URL: https://fedorapeople.org/~jwrdegoede/flyingsaucersattack.spec
SRPM URL: https://fedorapeople.org/~jwrdegoede/flyingsaucersattack-1.20h-2.fc23.src.rpm
Comment 4 Link Dupont 2016-10-16 01:27:02 EDT
LGTM. I'll give this a final once over and finish up once I'm approved as a packager.
Comment 5 Link Dupont 2016-10-19 01:12:37 EDT
Full Package Review
==============

Legend:
[x] = Pass, [!] = Fail, [-] = Not applicable, [?] = Not evaluated
[ ] = Manual review needed



===== MUST items =====

C/C++:
[x]: Package does not contain kernel modules.
[x]: Package contains no static executables.
[x]: Package does not contain any libtool archives (.la)
[x]: Rpath absent or only used for internal libs.

Generic:
[x]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[x]: License field in the package spec file matches the actual license.
     Note: Checking patched sources after %prep for licenses. Licenses
     found: "Unknown or generated". 9 files have unknown license. Detailed
     output of licensecheck in
     /home/link/1303349-flyingsaucersattack/licensecheck.txt
[-]: License file installed when any subpackage combination is installed.
[x]: If the package is under multiple licenses, the licensing breakdown
     must be documented in the spec.
[x]: %build honors applicable compiler flags or justifies otherwise.
[x]: Package contains no bundled libraries without FPC exception.
[x]: Changelog in prescribed format.
[x]: Sources contain only permissible code or content.
[-]: Development files must be in a -devel package
[x]: Package uses nothing in %doc for runtime.
[x]: Package consistently uses macros (instead of hard-coded directory
     names).
[x]: Package is named according to the Package Naming Guidelines.
[x]: Package does not generate any conflict.
[x]: Package obeys FHS, except libexecdir and /usr/target.
[-]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[x]: Requires correct, justified where necessary.
[x]: Spec file is legible and written in American English.
[-]: Package contains systemd file(s) if in need.
[x]: gtk-update-icon-cache is invoked in %postun and %posttrans if package
     contains icons.
     Note: icons in flyingsaucersattack
[x]: Useful -debuginfo package or justification otherwise.
[x]: Package is not known to require an ExcludeArch tag.
[-]: Large documentation must go in a -doc subpackage. Large could be size
     (~1MB) or number of files.
     Note: Documentation size is 10240 bytes in 3 files.
[x]: Package complies to the Packaging Guidelines
[x]: Package successfully compiles and builds into binary rpms on at least
     one supported primary architecture.
[x]: Package installs properly.
[x]: Rpmlint is run on all rpms the build produces.
     Note: There are rpmlint messages (see attachment).
[x]: If (and only if) the source package includes the text of the
     license(s) in its own file, then that file, containing the text of the
     license(s) for the package is included in %license.
[x]: Package requires other packages for directories it uses.
[x]: Package must own all directories that it creates.
[x]: Package does not own files or directories owned by other packages.
[x]: All build dependencies are listed in BuildRequires, except for any
     that are listed in the exceptions section of Packaging Guidelines.
[x]: Package uses either %{buildroot} or $RPM_BUILD_ROOT
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Package contains desktop file if it is a GUI application.
[x]: Package installs a %{name}.desktop using desktop-file-install or
     desktop-file-validate if there is such a file.
[x]: Dist tag is present.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Package use %makeinstall only when make install DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: Package does not use a name that already exists.
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as
     provided in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.
[x]: Packages must not store files under /srv, /opt or /usr/local

===== SHOULD items =====

Generic:
[x]: If the source package does not include license text(s) as a separate
     file from upstream, the packager SHOULD query upstream to include it.
[x]: Final provides and requires are sane (see attachments).
[-]: Fully versioned dependency in subpackages if applicable.
     Note: No Requires: %{name}%{?_isa} = %{version}-%{release} in
     flyingsaucersattack-debuginfo
[x]: Package functions as described.
[x]: Latest version is packaged.
[x]: Package does not include license text files separate from upstream.
[x]: Patches link to upstream bugs/comments/lists or are otherwise
     justified.
[-]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[ ]: Package should compile and build into binary rpms on all supported
     architectures.
[-]: %check is present and all tests pass.
[x]: Packages should try to preserve timestamps of original installed
     files.
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
[x]: Uses parallel make %{?_smp_mflags} macro.
[x]: Sources can be downloaded from URI in Source: tag
[x]: SourceX is a working URL.
[x]: Spec use %global instead of %define unless justified.

===== EXTRA items =====

Generic:
[-]: Large data in /usr/share should live in a noarch subpackage if package
     is arched.
     Note: Arch-ed rpms have a total of 1116160 bytes in /usr/share
[x]: Rpmlint is run on debuginfo package(s).
     Note: No rpmlint messages.
[x]: Rpmlint is run on all installed packages.
     Note: There are rpmlint messages (see attachment).
[x]: Spec file according to URL is the same as in SRPM.


Rpmlint
-------
Checking: flyingsaucersattack-1.20h-2.fc26.x86_64.rpm
          flyingsaucersattack-debuginfo-1.20h-2.fc26.x86_64.rpm
          flyingsaucersattack-1.20h-2.fc26.src.rpm
flyingsaucersattack.x86_64: W: spelling-error %description -l en_US greifen -> green
flyingsaucersattack.x86_64: W: no-manual-page-for-binary flyingsaucersattack
flyingsaucersattack.src: W: spelling-error %description -l en_US greifen -> green
3 packages and 0 specfiles checked; 0 errors, 3 warnings.




Rpmlint (debuginfo)
-------------------
Checking: flyingsaucersattack-debuginfo-1.20h-2.fc26.x86_64.rpm
1 packages and 0 specfiles checked; 0 errors, 0 warnings.





Rpmlint (installed packages)
----------------------------
flyingsaucersattack.x86_64: W: spelling-error %description -l en_US greifen -> green
flyingsaucersattack.x86_64: W: no-manual-page-for-binary flyingsaucersattack
2 packages and 0 specfiles checked; 0 errors, 2 warnings.



Requires
--------
flyingsaucersattack-debuginfo (rpmlib, GLIBC filtered):

flyingsaucersattack (rpmlib, GLIBC filtered):
    /bin/sh
    hicolor-icon-theme
    libaldmb-0.9.3.so()(64bit)
    liballeg.so.4.4()(64bit)
    libc.so.6()(64bit)
    libdumb-0.9.3.so()(64bit)
    libgcc_s.so.1()(64bit)
    libm.so.6()(64bit)
    libstdc++.so.6()(64bit)
    rtld(GNU_HASH)



Provides
--------
flyingsaucersattack-debuginfo:
    flyingsaucersattack-debuginfo
    flyingsaucersattack-debuginfo(x86-64)

flyingsaucersattack:
    appdata()
    appdata(flyingsaucersattack.appdata.xml)
    application()
    application(flyingsaucersattack.desktop)
    flyingsaucersattack
    flyingsaucersattack(x86-64)



Source checksums
----------------
http://www.dennisbusch.de/software/fsa/fuga120h.zip :
  CHECKSUM(SHA256) this package     : 06d8f2e1d9329049d96ad87507203ea89e947d99dfd646f117c645ef1e281915
  CHECKSUM(SHA256) upstream package : 06d8f2e1d9329049d96ad87507203ea89e947d99dfd646f117c645ef1e281915


Generated by fedora-review 0.6.1 (f03e4e7) last change: 2016-05-02
Command line :/usr/bin/fedora-review -b 1303349 -m fedora-rawhide-x86_64
Buildroot used: fedora-rawhide-x86_64
Active plugins: Generic, Shell-api, C/C++
Disabled plugins: Java, Python, fonts, SugarActivity, Ocaml, Perl, Haskell, R, PHP
Disabled flags: EXARCH, DISTTAG, EPEL5, BATCH, EPEL6
Comment 6 Hans de Goede 2016-10-28 04:39:48 EDT
I don't see anything in the review I need to fix, did you forget to set the fedora-review flag to +, or ... ?
Comment 7 Link Dupont 2016-10-28 23:25:58 EDT
Sorry. I'm not yet approved as a packager, so I can't actually flag this as +. I was hoping I would be on the 16th, but its taking longer than expected. I'll return this one to the pool for someone else to pick up.
Comment 8 Hans de Goede 2016-10-29 05:19:56 EDT
(In reply to Link Dupont from comment #7)
> Sorry. I'm not yet approved as a packager, so I can't actually flag this as
> +. I was hoping I would be on the 16th, but its taking longer than expected.
> I'll return this one to the pool for someone else to pick up.

Ok, if you do get approved as packager, please remember this bug, chances are it will still be waiting for review as I do not have time to do a review swap atm.
Comment 9 Zbigniew Jędrzejewski-Szmek 2016-10-29 14:14:06 EDT
(In reply to Link Dupont from comment #5)
> [-]: Fully versioned dependency in subpackages if applicable.
>      Note: No Requires: %{name}%{?_isa} = %{version}-%{release} in
>      flyingsaucersattack-debuginfo

Just a note: this requirement is not applicable for -debuginfo packages, in fact it is fine to mix&match debuginfo packages. fedora-review should learn to not say that.

> [ ]: Package should compile and build into binary rpms on all supported
>      architectures.
There's a koji build link above... so this is also satisfied.

Group tag is obsolete [https://fedoraproject.org/wiki/Packaging:Guidelines#Tags_and_Sections].

%description should be wrapped to 72-80 columns. Also, conventionally, one would use a space here:
"F.S.A. (Flying Saucers Attack)"
       ^

Some suggestions for brevity:

%setup -q -n fuga120h
%patch0 -p1 -b .unix
for i in docs/*; do
  sed -i 's/\r//' $i;
done
↓
%autosetup -n fuga120h -p1
sed -i 's/\r//' docs/*


make %{?_smp_mflags} ...
→ %make_build ...

make -C sources install DESTDIR=$RPM_BUILD_ROOT
→ %make_install -C sources

mkdir -p $RPM_BUILD_ROOT%{_datadir}/icons/hicolor/64x64/apps
install -p -m 644 %{SOURCE1} \
  $RPM_BUILD_ROOT%{_datadir}/icons/hicolor/64x64/apps/ 
→ install -D -p -m 644 -t %{buildroot}%{_datadir}/icons/hicolor/64x64/apps/ ${SOURCE1}
etc.
Comment 10 Link Dupont 2016-11-03 00:46:27 EDT
I like Zbigniew's suggestions. I try to stick to the %make_build and %make_install macros too. %make_install sets DESTDIR for you. d-^_^-b

== flyingsaucersattack-1.20h-2.fc23.src.rpm ==
* builds in mock/rawhide
* builds in mock/f24
* builds in mock/f25
* installs and runs fine

Package is approved.
Comment 11 Hans de Goede 2016-11-03 14:54:14 EDT
(In reply to Link Dupont from comment #10)
> I like Zbigniew's suggestions.

Agreed I was planning on posting a new version, but you responded before I got a chance too. Thanks for the review, I'll address Zbigniew's suggestions after importing the pkg as reviewed.
Comment 12 Gwyn Ciesla 2016-11-03 17:33:12 EDT
Package request has been approved: https://admin.fedoraproject.org/pkgdb/package/rpms/flyingsaucersattack
Comment 13 Raphael Groner 2016-11-13 05:08:52 EST
Are you still interested in this package? Can you provide some builds, please?

Otherwise, please close this bug.
Comment 14 Hans de Goede 2016-11-13 05:21:58 EST
(In reply to Raphael Groner from comment #13)
> Are you still interested in this package? Can you provide some builds,
> please?

Yes, patience please it has been only 10 days, and I did have other stuff to-do like fixing a bunch of xserver-1.19 crashes so that F25 can go out the door...
Comment 15 Zbigniew Jędrzejewski-Szmek 2016-11-13 10:42:52 EST
What good is the stinky old xserver without flyingsaucersattack? :P
Comment 16 Fedora Update System 2016-12-14 08:37:13 EST
flyingsaucersattack-1.20h-3.fc25 has been submitted as an update to Fedora 25. https://bodhi.fedoraproject.org/updates/FEDORA-2016-d5c96459b9
Comment 17 Fedora Update System 2016-12-15 00:07:48 EST
flyingsaucersattack-1.20h-3.fc25 has been pushed to the Fedora 25 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-d5c96459b9
Comment 18 Fedora Update System 2016-12-22 11:49:04 EST
flyingsaucersattack-1.20h-3.fc25 has been pushed to the Fedora 25 stable repository. If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.